<?php
/**
 * input.php - Controller for handling input pages.
 *
 * @author $Author: dtong $
 * @version $Id: input.php,v 1.5 2011/02/11 09:09:27 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

class Input extends CI_Controller{
	function __construct() {
		parent::__construct();
		osa_nosession_ajax_redirect();
		$this->load->library('mapping/searchmain');
	}

	function get($index) {
		$html = $this->searchmain->input_page($index);
		if ( $html === FALSE ) {
			echo osa_ajaxmsg(lang('gen_internalservererror'));
			exit;
		}
		echo $html;
	}
}
?>